<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ooxml.POIXMLRelation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ooxml.POIXMLRelation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html" title="class in org.apache.poi.ooxml">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/class-use/POIXMLRelation.html"
               target="_top">Frames</a></li>
        <li><a href="POIXMLRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ooxml.POIXMLRelation" class="title">Uses of Class<br>org.apache.poi.ooxml.POIXMLRelation
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml">org.apache.poi.ooxml</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xddf.usermodel.text">org.apache.poi.xddf.usermodel.text</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel">org.apache.poi.xdgf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.binary">org.apache.poi.xssf.binary</a></td>
                    <td class="colLast">
                        <div class="block">The org.apache.poi.xssf.binary package includes necessary underlying
                            components
                            for streaming/read-only processing of xlsb files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ooxml">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/ooxml/package-summary.html">org.apache.poi.ooxml</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ooxml/package-summary.html">org.apache.poi.ooxml</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html#getDescriptor-java.lang.String-">getDescriptor</a></span>(java.lang.String&nbsp;relationshipType)</code>
                                <div class="block">returns the descriptor for the given relationship type</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/ooxml/package-summary.html">org.apache.poi.ooxml</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLDocumentPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a></span>(java.lang.String&nbsp;relId,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;relationshipType,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                   title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;part)</code>
                                <div class="block">Add a new child POIXMLDocumentPart</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLDocumentPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;descriptor,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                   title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;factory)</code>
                                <div class="block">Create a new child POIXMLDocumentPart</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLDocumentPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;descriptor,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                   title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;factory,
                                int&nbsp;idx)</code>
                                <div class="block">Create a new child POIXMLDocumentPart</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLDocumentPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;descriptor,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                   title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;factory,
                                int&nbsp;idx,
                                boolean&nbsp;noRelation)</code>
                                <div class="block">Create a new child POIXMLDocumentPart</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected int</code></td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLDocumentPart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;descriptor,
                                int&nbsp;minIdx)</code>
                                <div class="block">Identifies the next available part number for a part of the given
                                    type,
                                    if possible, otherwise -1 if none are available.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                    title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIXMLFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html#newDocumentPart-org.apache.poi.ooxml.POIXMLRelation-">newDocumentPart</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;descriptor)</code>
                                <div class="block">Create a new POIXMLDocumentPart using the supplied descriptor.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xddf.usermodel.chart">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xddf/usermodel/chart/package-summary.html">org.apache.poi.xddf.usermodel.chart</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xddf/usermodel/chart/package-summary.html">org.apache.poi.xddf.usermodel.chart</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDDFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDDFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xddf/usermodel/chart/package-summary.html">org.apache.poi.xddf.usermodel.chart</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                    title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDDFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createRelationshipInChart-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationshipInChart</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;chartRelation,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                   title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;chartFactory,
                                int&nbsp;chartIndex)</code>
                                <div class="block">method to create relationship with embedded part for example writing
                                    xlsx
                                    file stream into output stream
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xddf.usermodel.text">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/package-summary.html">org.apache.poi.xddf.usermodel.text</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xddf/usermodel/text/package-summary.html">org.apache.poi.xddf.usermodel.text</a> with parameters of type <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                    title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDDFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextRun.html#linkToExternal-java.lang.String-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.ooxml.POIXMLRelation-">linkToExternal</a></span>(java.lang.String&nbsp;url,
                                <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                   title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;localPart,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;relation)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFHyperlink.html"
                                    title="class in org.apache.poi.xddf.usermodel.text">XDDFHyperlink</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDDFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextRun.html#linkToInternal-java.lang.String-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.openxml4j.opc.PackagePartName-">linkToInternal</a></span>(java.lang.String&nbsp;action,
                                <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                   title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;localPart,
                                <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;relation,
                                <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                   title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;target)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                                href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XDGFRelation.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFRelation</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XDGFFactory.html#getDescriptor-java.lang.String-">getDescriptor</a></span>(java.lang.String&nbsp;relationshipType)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                                href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/usermodel/XSLFFactory.html#getDescriptor-java.lang.String-">getDescriptor</a></span>(java.lang.String&nbsp;relationshipType)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.binary">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                                href="../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/binary/XSSFBRelation.html"
                                    title="class in org.apache.poi.xssf.binary">XSSFBRelation</a></span></code>
                                <div class="block">Need to have this mirror class of <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
                                        title="class in org.apache.poi.xssf.usermodel"><code>XSSFRelation</code></a>
                                    because of conflicts with regular ooxml relations.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                                href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFRelation</a></span></code>
                                <div class="block">Defines namespaces, content types and normal file names / naming
                                    patterns, for the well-known XSSF format parts.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> declared as <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPictureData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html#RELATIONS">RELATIONS</a></span></code>
                                <div class="block">Relationships for each known picture type</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/usermodel/XSSFFactory.html#getDescriptor-java.lang.String-">getDescriptor</a></span>(java.lang.String&nbsp;relationshipType)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                   title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a> in <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRelation.html"
                                    title="class in org.apache.poi.xwpf.usermodel">XWPFRelation</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> declared as <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">XWPFPictureData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFPictureData.html#RELATIONS">RELATIONS</a></span></code>
                                <div class="block">Relationships for each known picture type</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                title="class in org.apache.poi.ooxml">POIXMLRelation</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XWPFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XWPFChart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                    title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XWPFFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFactory.html#getDescriptor-java.lang.String-">getDescriptor</a></span>(java.lang.String&nbsp;relationshipType)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html" title="class in org.apache.poi.ooxml">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/class-use/POIXMLRelation.html"
               target="_top">Frames</a></li>
        <li><a href="POIXMLRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
